#
View Source Ash.Resource.Interface (ash v2.6.31)

Represents a function in a resource's code interface

# Link to this section Summary

## Types

t()

## Functions

interface_options(action_type)
schema()
transform(definition)

# Link to this section Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Interface{
      action: term(),
      args: term(),
      get?: term(),
      get_by: term(),
      get_by_identity: term(),
      name: term(),
      not_found_error?: term()
    }

# Link to this section Functions

Link to this function

# interface_options(action_type)

View Source
Link to this function

# schema()

View Source
Link to this function

# transform(definition)

View Source